# $Revision: 1.39 $, $Date: 2008/11/11 15:16:06 $
#
%define		_orig_name	sensors-applet
#
Summary:	GNOME applet that monitors hardware sensors
Summary(pl.UTF-8):	Aplet GNOME monitorujący czujniki sprzętowe
Name:		gnome-sensors
Version:	2.2.1
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/sensors-applet/sensors-applet-%{version}.tar.gz
# Source0-md5:	4ba94415125db147efcc1ae76f9703ee
URL:		http://sensors-applet.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-doc-utils >= 0.12.0
BuildRequires:	gnome-panel-devel >= 2.22.0
BuildRequires:	gtk+2-devel >= 2:2.10.2
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libgnomeui-devel >= 2.22.0
BuildRequires:	libnotify-devel >= 0.4.2
BuildRequires:	libtool
BuildRequires:	libxslt-progs >= 1.1.17
BuildRequires:	lm_sensors-devel >= 3.0.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	scrollkeeper
Requires(post,postun):	gtk+2 >= 2:2.10.2
Requires(post,postun):	scrollkeeper
Requires:	%{name}-libs = %{version}-%{release}
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/%{name}

%description
GNOME Sensors Applet is a simple applet that displays the current
readout of any hardware monitoring sensors that are present in
computer.

%description -l pl.UTF-8
GNOME Sensors jest prostym apletem wyświetlającym aktualne odczyty
dowolnych czujników monitorujących obecnych w komputerze.

%package libs
Summary:	GNOME Sensors Applet library
Summary(pl.UTF-8):	Biblioteka apletu GNOME Sensors
Group:		X11/Libraries

%description libs
GNOME Sensors Applet library.

%description libs -l pl.UTF-8
Biblioteka apletu GNOME Sensors.

%package devel
Summary:	Header files for GNOME Sensors Applet library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki apletu GNOME Sensors
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for GNOME Sensors Applet library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki apletu GNOME Sensors.

%package static
Summary:	Static GNOME Sensors Applet library
Summary(pl.UTF-8):	Statyczna biblioteka apletu GNOME Sensors
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GNOME Sensors Applet library.

%description static -l pl.UTF-8
Statyczna biblioteka apletu GNOME Sensors.

%prep
%setup -q -n %{_orig_name}-%{version}

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-scrollkeeper
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/sensors-applet/plugins/*.{a,la}

%find_lang %{_orig_name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%update_icon_cache hicolor

%postun
%scrollkeeper_update_postun
%update_icon_cache hicolor

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f sensors-applet.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%dir %{_libexecdir}
%attr(755,root,root) %{_libexecdir}/sensors-applet
%dir %{_libdir}/sensors-applet
%dir %{_libdir}/sensors-applet/plugins
%attr(755,root,root) %{_libdir}/sensors-applet/plugins/*.so
%{_libdir}/bonobo/servers/SensorsApplet.server
%{_iconsdir}/hicolor/*/*/sensors-*
%{_pixmapsdir}/sensors-applet
%{_datadir}/gnome-2.0/ui/SensorsApplet.xml

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsensors-applet-plugin.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsensors-applet-plugin.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsensors-applet-plugin.so
%{_libdir}/libsensors-applet-plugin.la
%{_includedir}/sensors-applet

%files static
%defattr(644,root,root,755)
%{_libdir}/libsensors-applet-plugin.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-sensors.spec,v $
Revision 1.39  2008/11/11 15:16:06  arekm
- release 2

Revision 1.38  2008/07/21 13:09:36  megabajt
- updated to 2.2.1
- removed obsolete -lm_sensors_3.patch
- added libs, devel and static subpackages

Revision 1.37  2008/05/03 22:26:12  hawk
- allow building with lm_sensors 3.x, release 3

Revision 1.36  2008-05-03 20:34:51  hawk
- release 2

Revision 1.35  2007-11-24 09:42:37  dzeus
- up to 1.8.2

Revision 1.34  2007-07-04 01:43:45  wolvverine
- up to 1.8.0

Revision 1.33  2007/02/14 21:42:12  qboosh
- resolved conflict

Revision 1.32  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.31  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.30  2006/08/23 18:24:46  freetz
- 1.7.8, updated deps

Revision 1.29  2006/08/20 11:46:49  freetz
- 1.7.7

Revision 1.28  2006/08/13 17:39:42  freetz
- 1.7.6, use rpm macros, split omf file(s)

Revision 1.27  2006/07/21 19:27:21  qboosh
- typo

Revision 1.26  2006/07/21 19:15:27  freetz
- rel.2, updated BR/R, added missing BR/R, use HEAD deps, register omf
  files, updated descriptions, update icon cache

Revision 1.25  2006/07/21 16:37:22  havner
- 1.7.4

Revision 1.24  2006/06/27 15:02:41  patrys
- up to 1.7.1

Revision 1.23  2005/10/03 16:17:16  qboosh
- sorted BRs

Revision 1.22  2005/09/29 20:34:42  patrys
- added missing BR: gettext-devel + pkgconfig

Revision 1.21  2005/08/02 20:22:02  qboosh
- gtk+2 epoch

Revision 1.20  2005/07/29 13:17:53  wiget
- version 1.4 for GNOME 2.x

Revision 1.19  2003/08/26 20:31:20  ankry
- s/[Gg]nome/GNOME/

Revision 1.18  2003/06/11 14:43:26  ankry
- added md5, removed non-working URL

Revision 1.17  2003/05/25 05:48:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/01/18 22:50:07  juandon
- removed two lines with define

Revision 1.15  2002/12/09 08:35:20  qboosh
- BR: automake,libtool

Revision 1.14  2002/12/06 17:37:04  baggins
- ac/am stuff

Revision 1.13  2002/11/27 20:15:42  juandon
- new %%doc

Revision 1.12  2002/10/21 17:29:51  baggins
- release 2
- added via patch

Revision 1.11  2002/06/23 20:52:51  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.10  2002/05/21 23:13:17  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/04/25 16:27:03  arturs
fixed a small typo

Revision 1.8  2002/02/23 02:17:46  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/06 23:11:53  filon
- added configure patch
- builds, release 1

Revision 1.5  2002/02/03 20:49:09  ankry
- adding es/pt/pt_BR Group translations

Revision 1.4  2002/01/18 02:13:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/09/30 15:36:06  qboosh
- BuildRequires: autoconf, gettext-devel
- pl translations

Revision 1.2  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.1  2000/11/20 12:53:53  baggins
- initial revision
